#ifndef sxmp_h_seen
#define sxmp_h_seen

#define CHANNEL_COUNT 8
#define BUFFER_SIZE  304
#define SOUND_FREQUENCY 18157

#define SXMP_STOPPED 0
#define SXMP_PLAYING 1
#define SXMP_PAUSED  2

#ifdef __cplusplus
extern "C" {
#endif

// initialise the sound system, call this first
void sxmp_init(); 

// can set the channels to 'simulate' stereo by passing 1 to this
// otherwise (0) the same sound is mixed to both A and B
void sxmp_fake_stereo(int fake);

// call this once per frame
// it takes 10-40 scanlines to complete
void sxmp_update();

// start playing a song
void sxmp_start_song(int song, int loop);
// stop song, stop sound
void sxmp_stop_song();
void sxmp_fade_out();

// is the song still playing?
int sxmp_is_playing(); 

// stop the sound in all channels
void sxmp_sound_stop();

// this must be called first from the vblank interrupt
void sxmp_vsync();

// pass 1 to pause, 0 to unpause (only if playing, else does nothing)
void sxmp_pause(int pause);
int sxmp_paused();

#ifdef __cplusplus
}
#endif

#endif
